local events = {}

-- PLACE EVENT HANDLERS HERE, NAMED AS THE EVENT THEY SHOULD HANDLE

--- Called for each combat log event.
function events:COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, eventFlags, ...)
  if (sourceName ~= nil) then 
    print(sourceName .. ": Event:" .. event .. ":" .. eventFlags)
  end
end

--- Called for each mouseover unit event
function events:UPDATE_MOUSEOVER_UNIT(...)
  Tally.storeData("mouseover")
end

--- Called when the loot window opens
function events:LOOT_OPENED(...)
  Tally.parseLootEvent()
end

-- END OF EVENT HANDLER AREA

--- Register the events associated with events above.
function Tally.RegisterEvents(self)
  for func, _ in pairs(events) do
    self:RegisterEvent(func)
  end
end

--- The addon has loaded.  Deal with anything we need to cover at load time.
function TallyLoadHandler(self)
  print ("Welcome to Tally. Registering events.")
  Tally.RegisterEvents(self)
end

--- An event has occurred and we registered an interest in it.  Call our event handler for that event.
function TallyEventHandler(self, event, ...)
  events[event](self, ...)
end
