TallyMobTable = {};

--- Stores whatever data it can pull from the unitID to the database
function Tally.storeData(unitID)
  -- TODO: Is there a way of passing in a guid rather than a unit ID?
  local guid = UnitGUID(unitID)

  local objectType
  local npcId
  npcId, objectType = Tally.ParseGUID(guid)

  -- We're only interested in NPCs that we've not seen before
  if ((TallyMobTable[npcId] ~= nil) or (objectType ~= "NPC")) then
    return
  end

  -- If we get here, we have a previously-unknown kind of NPC
  local npc = {}
  npc["name"] = UnitName(unitID)
  npc["class"] = UnitClassBase(unitID)
  npc["classification"] = UnitClassification(unitID)
  npc["family"] = UnitCreatureFamily(unitID)
  npc["type"] = UnitCreatureType(unitID)
  npc["race"] = UnitRace(unitID)
  npc["sex"] = UnitSex(unitID)
 
  local health = UnitHealth(unitID)
  local maxHealth = UnitHealthMax(unitID)
  npc["health"] = health .. ":" .. maxHealth
 
  local powerType
  local powerName
  powerType, powerName = UnitPowerType(unitID)
  local power = UnitPower(unitID)
  local maxPower = UnitPowerMax(unitID)
  npc["power"] = power .. ":" .. maxPower .. ":" .. powerName
  
  TallyMobTable[npcId] = npc
end
